/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-02-23
 * 描述            ：质保书成分展示项配置表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.qcm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.qcm.mapper.QcmZbsTmplCicMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="QCM_ZBS_TMPL_CIC", namespace=QcmZbsTmplCicMapper.class)
public class QcmZbsTmplCic extends BaseVO implements Serializable {
	/** 
	 * 方案编号
	 */ 
	@Id
	private String tmpl_cret_no;
	public String getTmpl_cret_no() {
		return this.tmpl_cret_no;
	}
	public void setTmpl_cret_no(String tmpl_cret_no) {
		this.tmpl_cret_no = tmpl_cret_no;
	}

	/** 
	 * 化学元素代码
	 */ 
	@Id
	private String chem_code;
	public String getChem_code() {
		return this.chem_code;
	}
	public void setChem_code(String chem_code) {
		this.chem_code = chem_code;
	}

	/** 
	 * 化学元素描述
	 */ 
	@Column
	private String chem_name;
	public String getChem_name() {
		return this.chem_name;
	}
	public void setChem_name(String chem_name) {
		this.chem_name = chem_name;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 有效标志(1:有效，0:无效)
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}
}
